osgWidget::ScriptEngine Class Reference

`#include <ScriptEngine>`

Inheritance diagram for osgWidget::ScriptEngine:

## Public Member Functions

virtual bool | initialize ()
virtual bool | close ()
virtual bool | eval (const std::string &)
virtual bool | runFile (const std::string &)
virtual const std::string & | getLastErrorText () const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

std::string | _err
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Member Function Documentation

## close()

virtual bool osgWidget::ScriptEngine::close | ( |  | ) |

inline virtual

Reimplemented in osgWidget::LuaEngine, and osgWidget::PythonEngine.

## eval()

virtual bool osgWidget::ScriptEngine::eval | ( | const std::string & |  | ) |

inline virtual

Reimplemented in osgWidget::LuaEngine, and osgWidget::PythonEngine.

## getLastErrorText()

virtual const std::string & osgWidget::ScriptEngine::getLastErrorText | ( |  | ) | const

inline virtual

References _err.

## initialize()

virtual bool osgWidget::ScriptEngine::initialize | ( |  | ) |

inline virtual

Reimplemented in osgWidget::LuaEngine, and osgWidget::PythonEngine.

## runFile()

virtual bool osgWidget::ScriptEngine::runFile | ( | const std::string & |  | ) |

inline virtual

Reimplemented in osgWidget::LuaEngine, and osgWidget::PythonEngine.

## Member Data Documentation

## _err

std::string osgWidget::ScriptEngine::_err

protected

Referenced by getLastErrorText().

The documentation for this class was generated from the following file:

- osgWidget/ScriptEngine